package com.gxwebsoft.house.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gxwebsoft.common.core.web.PageResult;
import com.gxwebsoft.house.entity.HouseMessage;
import com.gxwebsoft.house.param.HouseMessageParam;

import java.util.List;

/**
 * AI找房留言Service
 */
public interface HouseMessageService extends IService<HouseMessage> {

    PageResult<HouseMessage> pageRel(HouseMessageParam param);

    List<HouseMessage> listRel(HouseMessageParam param);

    HouseMessage getByIdRel(Integer messageId);
}
